import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { FooterCmsService } from "./footer-cms.service";
import { UpdateFooterCmsDto } from "./dto/update-footer-cms.dto";

@Controller({ path: "footer-cms", version: Constants.API_VERSION_1 })

export class FooterCmsController {
    constructor(private readonly service: FooterCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateFooterCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
