import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdatePressPageUiDto } from "./dto/update-press-page-ui.dto";
import { PressPageUiService } from "./press-page-ui.service";

@Controller({ path: "press-component-ui", version: Constants.API_VERSION_1 })

export class PressPageUiController {
    constructor(private readonly service: PressPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdatePressPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
