import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { ProductDetailsPageUiService } from "./product-details-page-ui.service";
import { UpdateProductDetailsPageUiDto } from "./dto/update-product-details-page-ui.dto";

@Controller({ path: "product-details-component-ui", version: Constants.API_VERSION_1 })

export class ProductDetailsPageUiController {
    constructor(private readonly service: ProductDetailsPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateProductDetailsPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
