import { Body, Controller, HttpCode, HttpStatus, Post } from "@nestjs/common";
import { OrderService } from "./order.service";
import { Constants } from "src/utils/constants";

@Controller({
    path: "order",
    version: Constants.API_VERSION_1
})
export class OrderController {
    constructor(private readonly orderService: OrderService) {
    }

    @Post("/one")
    @HttpCode(HttpStatus.OK)
    fetchOneOrder(@Body() variables: any) {
        return this.orderService.fetchOneOrder(variables);
    }

    @Post("/get-by-email")
    @HttpCode(HttpStatus.OK)
    fetchMultipleOrderWithEmail(@Body() variables: any) {
        return this.orderService.fetchMultipleOrderWithEmail(variables);
    }

    @Post("/get-by-order-number")
    @HttpCode(HttpStatus.OK)
    fetchMultipleOrderWithOrderNumber(@Body() variables: any) {
        return this.orderService.fetchMultipleOrderWithOrderNumber(variables);
    }
}
