import { Body, Controller, HttpCode, HttpStatus, Post, Query } from "@nestjs/common";
import { RetailerService } from "./retailer.service";
import { Constants } from "src/utils/constants";

@Controller({
    path: "retailer",
    version: Constants.API_VERSION_1
})
export class RetailerController {
    constructor(private readonly retailerService: RetailerService) {
    }

    @Post("/all")
    @HttpCode(HttpStatus.OK)
    findAll(
      @Query("type") type?: string,
      @Query("search") search?: string
    ) {
        return this.retailerService.findAll(type, search);
    }


    @Post("/filter-all")
    @HttpCode(HttpStatus.OK)
    filterRetailer(
      @Body() variables: any,
      @Query("type") type?: string,
      @Query("search") search?: string
    ) {
        return this.retailerService.filterRetailer(variables, type, search);
    }

    @Post("/details")
    @HttpCode(HttpStatus.OK)
    findOne(@Body() variables: any) {
        return this.retailerService.findOne(variables);
    }
}
