import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { HomePageSectionFiveController } from "./home-page-section-five.controller";
import { HomePageSectionFiveRepository } from "./home-page-section-five.repository";
import { HomePageSectionFiveService } from "./home-page-section-five.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageSectionFiveRepository])
    ],
    controllers: [HomePageSectionFiveController],
    providers: [HomePageSectionFiveService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageSectionFiveModule {
}
